curl --request GET \
--url https://test.deribit.com/api/v2/private/get_withdrawals \
--header 'Content-Type: application/json' \
--data '
{
"jsonrpc": "2.0",
"id": 2745,
"method": "private/get_withdrawals",
"params": {
"currency": "BTC",
"count": 10,
"offset": 0
}
}
'import requests
url = "https://test.deribit.com/api/v2/private/get_withdrawals"
payload = {
"jsonrpc": "2.0",
"id": 2745,
"method": "private/get_withdrawals",
"params": {
"currency": "BTC",
"count": 10,
"offset": 0
}
}
headers = {"Content-Type": "application/json"}
response = requests.get(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
jsonrpc: '2.0',
id: 2745,
method: 'private/get_withdrawals',
params: {currency: 'BTC', count: 10, offset: 0}
})
};
fetch('https://test.deribit.com/api/v2/private/get_withdrawals', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://test.deribit.com/api/v2/private/get_withdrawals",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_POSTFIELDS => json_encode([
'jsonrpc' => '2.0',
'id' => 2745,
'method' => 'private/get_withdrawals',
'params' => [
'currency' => 'BTC',
'count' => 10,
'offset' => 0
]
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://test.deribit.com/api/v2/private/get_withdrawals"
payload := strings.NewReader("{\n \"jsonrpc\": \"2.0\",\n \"id\": 2745,\n \"method\": \"private/get_withdrawals\",\n \"params\": {\n \"currency\": \"BTC\",\n \"count\": 10,\n \"offset\": 0\n }\n}")
req, _ := http.NewRequest("GET", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://test.deribit.com/api/v2/private/get_withdrawals")
.header("Content-Type", "application/json")
.body("{\n \"jsonrpc\": \"2.0\",\n \"id\": 2745,\n \"method\": \"private/get_withdrawals\",\n \"params\": {\n \"currency\": \"BTC\",\n \"count\": 10,\n \"offset\": 0\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://test.deribit.com/api/v2/private/get_withdrawals")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n \"jsonrpc\": \"2.0\",\n \"id\": 2745,\n \"method\": \"private/get_withdrawals\",\n \"params\": {\n \"currency\": \"BTC\",\n \"count\": 10,\n \"offset\": 0\n }\n}"
response = http.request(request)
puts response.read_body{
"jsonrpc": "2.0",
"id": 2745,
"result": {
"count": 1,
"data": [
{
"address": "2NBqqD5GRJ8wHy1PYyCXTe9ke5226FhavBz",
"amount": 0.5,
"confirmed_timestamp": null,
"created_timestamp": 1550571443070,
"currency": "BTC",
"fee": 0.0001,
"id": 1,
"priority": 0.15,
"state": "unconfirmed",
"transaction_id": null,
"updated_timestamp": 1550571443070
}
]
}
}private/get_withdrawals
Retrieve the latest user withdrawals. Returns a list of withdrawal requests with their status, amounts, addresses, and other relevant details.
๐ Related Article: Managing Withdrawals
Scope: wallet:read
curl --request GET \
--url https://test.deribit.com/api/v2/private/get_withdrawals \
--header 'Content-Type: application/json' \
--data '
{
"jsonrpc": "2.0",
"id": 2745,
"method": "private/get_withdrawals",
"params": {
"currency": "BTC",
"count": 10,
"offset": 0
}
}
'import requests
url = "https://test.deribit.com/api/v2/private/get_withdrawals"
payload = {
"jsonrpc": "2.0",
"id": 2745,
"method": "private/get_withdrawals",
"params": {
"currency": "BTC",
"count": 10,
"offset": 0
}
}
headers = {"Content-Type": "application/json"}
response = requests.get(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
jsonrpc: '2.0',
id: 2745,
method: 'private/get_withdrawals',
params: {currency: 'BTC', count: 10, offset: 0}
})
};
fetch('https://test.deribit.com/api/v2/private/get_withdrawals', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://test.deribit.com/api/v2/private/get_withdrawals",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_POSTFIELDS => json_encode([
'jsonrpc' => '2.0',
'id' => 2745,
'method' => 'private/get_withdrawals',
'params' => [
'currency' => 'BTC',
'count' => 10,
'offset' => 0
]
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://test.deribit.com/api/v2/private/get_withdrawals"
payload := strings.NewReader("{\n \"jsonrpc\": \"2.0\",\n \"id\": 2745,\n \"method\": \"private/get_withdrawals\",\n \"params\": {\n \"currency\": \"BTC\",\n \"count\": 10,\n \"offset\": 0\n }\n}")
req, _ := http.NewRequest("GET", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://test.deribit.com/api/v2/private/get_withdrawals")
.header("Content-Type", "application/json")
.body("{\n \"jsonrpc\": \"2.0\",\n \"id\": 2745,\n \"method\": \"private/get_withdrawals\",\n \"params\": {\n \"currency\": \"BTC\",\n \"count\": 10,\n \"offset\": 0\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://test.deribit.com/api/v2/private/get_withdrawals")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n \"jsonrpc\": \"2.0\",\n \"id\": 2745,\n \"method\": \"private/get_withdrawals\",\n \"params\": {\n \"currency\": \"BTC\",\n \"count\": 10,\n \"offset\": 0\n }\n}"
response = http.request(request)
puts response.read_body{
"jsonrpc": "2.0",
"id": 2745,
"result": {
"count": 1,
"data": [
{
"address": "2NBqqD5GRJ8wHy1PYyCXTe9ke5226FhavBz",
"amount": 0.5,
"confirmed_timestamp": null,
"created_timestamp": 1550571443070,
"currency": "BTC",
"fee": 0.0001,
"id": 1,
"priority": 0.15,
"state": "unconfirmed",
"transaction_id": null,
"updated_timestamp": 1550571443070
}
]
}
}Query Parameters
The currency symbol.
๐ Related Article: Using the currency Parameter
Currency, i.e "BTC", "ETH", "USDC"
BTC, ETH, USDC, USDT, EURR Number of requested items, default - 10, maximum - 1000
1 <= x <= 1000The offset for pagination, default - 0
10
Response
Success response
The JSON-RPC version (2.0)
2.0 Hide child attributes
Hide child attributes
Hide child attributes
Hide child attributes
Address in proper format for currency
"1A1zP1eP5QGefi2DMPTfTL5SLmv7DivfNa"
Amount of funds in given currency
1
Currency, i.e "BTC", "ETH", "USDC"
BTC, ETH, USDC, USDT, EURR Withdrawal state, allowed values : unconfirmed, confirmed, cancelled, completed, interrupted, rejected
unconfirmed, confirmed, cancelled, completed, interrupted, rejected Transaction id in proper format for currency, null if id is not available
"1b1fb5568515e2b79503501e3d3680b2d0838d5dfc2d15a04eb8cd9fbbe0b572"
The timestamp (milliseconds since the Unix epoch)
1536569522277
The timestamp (milliseconds since the Unix epoch) of withdrawal confirmation, null when not confirmed
1536569522277
The timestamp (milliseconds since the Unix epoch)
1536569522277
Fee in currency
0.000023
Withdrawal id in Deribit system
1
Id of priority level
1
Optional idempotency nonce if provided in the request
Withdrawal note.
Number of completed withdrawals to this address.
Execution timestamp in milliseconds since the Unix epoch; present only when set and state is confirmed.
Clearance state indicating the current status of the transaction clearance process. Allowed values:
in_progress: clearance process is in progresspending_admin_decision: transaction is under manual review by Deribit adminpending_user_input: user should provide additional information regarding the transactionsuccess: clearance process completed successfullyfailed: clearance process failed, transaction is rejectedcancelled: transaction is cancelled (currently used only for withdrawals, meaning the withdrawal is cancelled)refund_initiated: clearance process failed, transaction refund is initiated, funds are removed from Deribit balance (valid for deposits only)refunded: clearance process failed, deposit amount is refunded back to the client (valid for deposits only)in_progress, pending_admin_decision, pending_user_input, success, failed, cancelled, refund_initiated, refunded Total number of results available
101
The id that was sent in the request
Was this page helpful?